<?php
#>GNUNUX
$config['ldap_public'] = array (
  'Local' => array (
    'name' => "Ma famille",
    'hosts' =>  array (
      0 => 'ldaps://%%ldap_server_address',
      ),
    'port' => 636,
    'use_tls' => false,
    'bind_user' => '',
    'bind_dn' => '%%ldapclient_remote_user',
    'bind_pass' => '%%ldapclient_remote_user_password',
    'auth_method'    => '',
    'vlv' => false, //Samba do not support Virtual List View functions
    'user_specific' => false,
    'base_dn' => 'ou=%%ldapclient_family,ou=families,%%ldap_base_dn',
    'writable' => false,
    'required_fields' =>  array (
      0 => 'cn',
      1 => 'sn',
      2 => 'mail',
      3 => 'uid',
      ),
    'groups' => array(
      'base_dn'           => '',
      'object_classes'    => ['top', 'groupOfNames'],                                                 
    ),
    'LDAP_rdn' => 'mail',
    'ldap_version' => 3,
    'search_fields' => array ('mail', 'cn', 'sn', 'givenName'),
    'name_field' => 'cn',
    'email_field' => 'mail',
    'surname_field' => 'sn',
    'firstname_field' => 'gn',
    'sort' => 'cn',
    'scope' => 'sub',
    'filter' => '(mail=*)',
    'fuzzy_search' => true,
    'fieldmap' => array(
      'name'         => 'cn',
      'surname'      => 'sn',
      'firstname'    => 'givenName',
      'email'        => 'mail',
      ),
  ),
);
#<GNUNUX
?>
